AWebAbstractClipCommand.prototype = new AWebGraphicCommand();
AWebAbstractClipCommand.prototype.constructor = AWebAbstractClipCommand;
function AWebAbstractClipCommand(clipRegion) {
	AWebGraphicCommand.call(this);
	this.clipRegion = clipRegion;
}
function c0(clipRegion) { return new AWebAbstractClipCommand(clipRegion); }


AWebAbstractTransformCommand.prototype = new AWebGraphicCommand();
AWebAbstractTransformCommand.prototype.constructor = AWebAbstractTransformCommand;
function AWebAbstractTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY) {
	AWebGraphicCommand.call(this);
	this.scaleX = scaleX;
	this.scaleY = scaleY;
	this.shearX = shearX;
	this.shearY = shearY;
	this.translateX = translateX;
	this.translateY = translateY;
}
function c1(scaleX, scaleY, shearX, shearY, translateX, translateY) { return new AWebAbstractTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY); }


AWebAddClipCommand.prototype = new AWebAbstractClipCommand();
AWebAddClipCommand.prototype.constructor = AWebAddClipCommand;
function AWebAddClipCommand(clipRegion) {
	AWebAbstractClipCommand.call(this, clipRegion);
	this.clipRegion = clipRegion;
}
function c2(clipRegion) { return new AWebAddClipCommand(clipRegion); }


AWebAddTransformCommand.prototype = new AWebAbstractTransformCommand();
AWebAddTransformCommand.prototype.constructor = AWebAddTransformCommand;
function AWebAddTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY) {
	AWebAbstractTransformCommand.call(this, scaleX, scaleY, shearX, shearY, translateX, translateY);
	this.scaleX = scaleX;
	this.scaleY = scaleY;
	this.shearX = shearX;
	this.shearY = shearY;
	this.translateX = translateX;
	this.translateY = translateY;
}
function c3(scaleX, scaleY, shearX, shearY, translateX, translateY) { return new AWebAddTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY); }


AWebAlphaCompositeCommand.prototype = new AWebGraphicCommand();
AWebAlphaCompositeCommand.prototype.constructor = AWebAlphaCompositeCommand;
function AWebAlphaCompositeCommand(alpha) {
	AWebGraphicCommand.call(this);
	this.alpha = alpha;
}
function c4(alpha) { return new AWebAlphaCompositeCommand(alpha); }


AWebBrush.prototype = new Object();
AWebBrush.prototype.constructor = AWebBrush;
function AWebBrush() {
	Object.call(this);
}
function c5() { return new AWebBrush(); }


AWebBrushCommand.prototype = new AWebGraphicCommand();
AWebBrushCommand.prototype.constructor = AWebBrushCommand;
function AWebBrushCommand(brush) {
	AWebGraphicCommand.call(this);
	this.brush = brush;
}
function c6(brush) { return new AWebBrushCommand(brush); }


AWebCloseSegment.prototype = new AWebShapeSegment();
AWebCloseSegment.prototype.constructor = AWebCloseSegment;
function AWebCloseSegment() {
	AWebShapeSegment.call(this);
}
function c7() { return new AWebCloseSegment(); }


AWebCreateShapeCommand.prototype = new AWebGraphicCommand();
AWebCreateShapeCommand.prototype.constructor = AWebCreateShapeCommand;
function AWebCreateShapeCommand(shape) {
	AWebGraphicCommand.call(this);
	this.shape = shape;
}
function c8(shape) { return new AWebCreateShapeCommand(shape); }


AWebCubicToSegment.prototype = new AWebShapeSegment();
AWebCubicToSegment.prototype.constructor = AWebCubicToSegment;
function AWebCubicToSegment(point1x, point1y, point2x, point2y, point3x, point3y) {
	AWebShapeSegment.call(this);
	this.point1x = point1x;
	this.point1y = point1y;
	this.point2x = point2x;
	this.point2y = point2y;
	this.point3x = point3x;
	this.point3y = point3y;
}
function c9(point1x, point1y, point2x, point2y, point3x, point3y) { return new AWebCubicToSegment(point1x, point1y, point2x, point2y, point3x, point3y); }


AWebDrawCommand.prototype = new AWebGraphicCommand();
AWebDrawCommand.prototype.constructor = AWebDrawCommand;
function AWebDrawCommand() {
	AWebGraphicCommand.call(this);
}
function c10() { return new AWebDrawCommand(); }


AWebFillCommand.prototype = new AWebGraphicCommand();
AWebFillCommand.prototype.constructor = AWebFillCommand;
function AWebFillCommand() {
	AWebGraphicCommand.call(this);
}
function c11() { return new AWebFillCommand(); }


AWebFontCommand.prototype = new AWebGraphicCommand();
AWebFontCommand.prototype.constructor = AWebFontCommand;
function AWebFontCommand(fontName, bold, italic, size) {
	AWebGraphicCommand.call(this);
	this.fontName = fontName;
	this.bold = bold;
	this.italic = italic;
	this.size = size;
}
function c12(fontName, bold, italic, size) { return new AWebFontCommand(fontName, bold, italic, size); }


AWebGradientBrush.prototype = new AWebBrush();
AWebGradientBrush.prototype.constructor = AWebGradientBrush;
function AWebGradientBrush(color1, color2, point1x, point1y, point2x, point2y) {
	AWebBrush.call(this);
	this.color1 = color1;
	this.color2 = color2;
	this.point1x = point1x;
	this.point1y = point1y;
	this.point2x = point2x;
	this.point2y = point2y;
}
function c13(color1, color2, point1x, point1y, point2x, point2y) { return new AWebGradientBrush(color1, color2, point1x, point1y, point2x, point2y); }


AWebGraphic.prototype = new Object();
AWebGraphic.prototype.constructor = AWebGraphic;
function AWebGraphic(commands, x, y, width, height, logUnitsToPixel) {
	Object.call(this);
	this.commands = commands;
	this.x = x;
	this.y = y;
	this.width = width;
	this.height = height;
	this.logUnitsToPixel = logUnitsToPixel;
}
function c14(commands, x, y, width, height, logUnitsToPixel) { return new AWebGraphic(commands, x, y, width, height, logUnitsToPixel); }


AWebGraphicCommand.prototype = new Object();
AWebGraphicCommand.prototype.constructor = AWebGraphicCommand;
function AWebGraphicCommand() {
	Object.call(this);
}
function c15() { return new AWebGraphicCommand(); }


AWebGraphicSymbol.prototype = new Object();
AWebGraphicSymbol.prototype.constructor = AWebGraphicSymbol;
function AWebGraphicSymbol(commands, width, height) {
	Object.call(this);
	this.commands = commands;
	this.width = width;
	this.height = height;
}
function c16(commands, width, height) { return new AWebGraphicSymbol(commands, width, height); }


AWebGroupingCommand.prototype = new AWebGraphicCommand();
AWebGroupingCommand.prototype.constructor = AWebGroupingCommand;
function AWebGroupingCommand(bounds, commands) {
	AWebGraphicCommand.call(this);
	this.bounds = bounds;
	this.commands = commands;
}
function c17(bounds, commands) { return new AWebGroupingCommand(bounds, commands); }


AWebImage.prototype = new Object();
AWebImage.prototype.constructor = AWebImage;
function AWebImage(pngImage) {
	Object.call(this);
	this.pngImage = pngImage;
}
function c18(pngImage) { return new AWebImage(pngImage); }


AWebImageCommand.prototype = new AWebGraphicCommand();
AWebImageCommand.prototype.constructor = AWebImageCommand;
function AWebImageCommand(dx1, dy1, dx2, dy2, sx1, sy1, sx2, sy2, image) {
	AWebGraphicCommand.call(this);
	this.dx1 = dx1;
	this.dy1 = dy1;
	this.dx2 = dx2;
	this.dy2 = dy2;
	this.sx1 = sx1;
	this.sy1 = sy1;
	this.sx2 = sx2;
	this.sy2 = sy2;
	this.image = image;
}
function c19(dx1, dy1, dx2, dy2, sx1, sy1, sx2, sy2, image) { return new AWebImageCommand(dx1, dy1, dx2, dy2, sx1, sy1, sx2, sy2, image); }


AWebLineToSegment.prototype = new AWebShapeSegment();
AWebLineToSegment.prototype.constructor = AWebLineToSegment;
function AWebLineToSegment(pointx, pointy) {
	AWebShapeSegment.call(this);
	this.pointx = pointx;
	this.pointy = pointy;
}
function c20(pointx, pointy) { return new AWebLineToSegment(pointx, pointy); }


AWebMoveToSegment.prototype = new AWebShapeSegment();
AWebMoveToSegment.prototype.constructor = AWebMoveToSegment;
function AWebMoveToSegment(pointx, pointy) {
	AWebShapeSegment.call(this);
	this.pointx = pointx;
	this.pointy = pointy;
}
function c21(pointx, pointy) { return new AWebMoveToSegment(pointx, pointy); }


AWebPenCommand.prototype = new AWebGraphicCommand();
AWebPenCommand.prototype.constructor = AWebPenCommand;
function AWebPenCommand(width, style, color) {
	AWebGraphicCommand.call(this);
	this.width = width;
	this.style = style;
	this.color = color;
}
function c22(width, style, color) { return new AWebPenCommand(width, style, color); }




AWebPlaceSymbolCommand.prototype = new AWebGraphicCommand();
AWebPlaceSymbolCommand.prototype.constructor = AWebPlaceSymbolCommand;
function AWebPlaceSymbolCommand(positionx, positiony, symbol) {
	AWebGraphicCommand.call(this);
	this.positionx = positionx;
	this.positiony = positiony;
	this.symbol = symbol;
}
function c23(positionx, positiony, symbol) { return new AWebPlaceSymbolCommand(positionx, positiony, symbol); }


AWebSetClipCommand.prototype = new AWebAbstractClipCommand();
AWebSetClipCommand.prototype.constructor = AWebSetClipCommand;
function AWebSetClipCommand(clipRegion) {
	AWebAbstractClipCommand.call(this, clipRegion);
	this.clipRegion = clipRegion;
}
function c24(clipRegion) { return new AWebSetClipCommand(clipRegion); }


AWebSetTransformCommand.prototype = new AWebAbstractTransformCommand();
AWebSetTransformCommand.prototype.constructor = AWebSetTransformCommand;
function AWebSetTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY) {
	AWebAbstractTransformCommand.call(this, scaleX, scaleY, shearX, shearY, translateX, translateY);
	this.scaleX = scaleX;
	this.scaleY = scaleY;
	this.shearX = shearX;
	this.shearY = shearY;
	this.translateX = translateX;
	this.translateY = translateY;
}
function c25(scaleX, scaleY, shearX, shearY, translateX, translateY) { return new AWebSetTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY); }


AWebShape.prototype = new Object();
AWebShape.prototype.constructor = AWebShape;
function AWebShape(segments) {
	Object.call(this);
	this.segments = segments;
}
function c26(segments) { return new AWebShape(segments); }


AWebShapeSegment.prototype = new Object();
AWebShapeSegment.prototype.constructor = AWebShapeSegment;
function AWebShapeSegment() {
	Object.call(this);
}
function c27() { return new AWebShapeSegment(); }


AWebSolidColorBrush.prototype = new AWebBrush();
AWebSolidColorBrush.prototype.constructor = AWebSolidColorBrush;
function AWebSolidColorBrush(color) {
	AWebBrush.call(this);
	this.color = color;
}
function c28(color) { return new AWebSolidColorBrush(color); }


AWebTextCommand.prototype = new AWebGraphicCommand();
AWebTextCommand.prototype.constructor = AWebTextCommand;
function AWebTextCommand(text, positionx, positiony) {
	AWebGraphicCommand.call(this);
	this.text = text;
	this.positionx = positionx;
	this.positiony = positiony;
}
function c29(text, positionx, positiony) { return new AWebTextCommand(text, positionx, positiony); }


AWebTransparentBrush.prototype = new AWebBrush();
AWebTransparentBrush.prototype.constructor = AWebTransparentBrush;
function AWebTransparentBrush() {
	AWebBrush.call(this);
}
function c30() { return new AWebTransparentBrush(); }


var SOLID = 0;
var DASHED = 1;
var DOTTED = 2;

function create_shape0() {
var segments = [
c21(65,35.5000),c9(65,55.1061,50.4492,71,32.5000,71),c9(14.5507,71,0,55.1061,0,35.5000),c9(0,15.8938,14.5507,0,32.5000,0),c9(50.4492,0,65,15.8938,65,35.5000),c7()];
return c26(segments);
}

function create_shape1() {
var segments = [
c21(113,60.5000),c9(113,93.9132,87.7040,121,56.5000,121),c9(25.2959,121,0,93.9132,0,60.5000),c9(0,27.867,25.2959,0,56.5000,0),c9(87.7040,0,113,27.867,113,60.5000),c7()];
return c26(segments);
}

function create_shape2() {
var segments = [
c21(41,20.5000),c9(41,31.8218,31.8218,41,20.5000,41),c9(9.1781,41,0,31.8218,0,20.5000),c9(0,9.1781,9.1781,0,20.5000,0),c9(31.8218,0,41,9.1781,41,20.5000),c7()];
return c26(segments);
}

function create_shape3() {
var segments = [
c21(-40000,-40000),c20(40000,-40000),c20(40000,40000),c20(-40000,40000),c20(-40000,-40000),c7()];
return c26(segments);
}

function create_shape4() {
var segments = [
c21(132,71),c9(132,110.2122,102.4507,142,66,142),c9(29.5492,142,0,110.2122,0,71),c9(0,31.7877,29.5492,0,66,0),c9(102.4507,0,132,31.7877,132,71),c7()];
return c26(segments);
}

function create_shape5() {
var segments = [
c21(88,42.5000),c9(88,65.9720,68.3005,85,44,85),c9(19.6994,85,0,65.9720,0,42.5000),c9(0,19.278,19.6994,0,44,0),c9(68.3005,0,88,19.278,88,42.5000),c7()];
return c26(segments);
}

function create_shape6() {
var segments = [
c21(91,50),c9(91,77.6142,70.6289,100,45.5000,100),c9(20.3710,100,0,77.6142,0,50),c9(0,22.3857,20.3710,0,45.5000,0),c9(70.6289,0,91,22.3857,91,50),c7()];
return c26(segments);
}

function createShapes() {
	shape0 = create_shape0();
	rememberShape('shape0', shape0);
	shape1 = create_shape1();
	rememberShape('shape1', shape1);
	shape2 = create_shape2();
	rememberShape('shape2', shape2);
	shape3 = create_shape3();
	rememberShape('shape3', shape3);
	shape4 = create_shape4();
	rememberShape('shape4', shape4);
	shape5 = create_shape5();
	rememberShape('shape5', shape5);
	shape6 = create_shape6();
	rememberShape('shape6', shape6);
}

function createImages() {

}

function create_s0() {
var commands = [c6(c28('#ffff99')),c8(shape4),c11(),c22(1, SOLID, '#ffff99'),c10()];
return c16(commands,132,142);
}

function create_s1() {
var commands = [c6(c28('#ffff99')),c8(shape1),c11(),c22(1, SOLID, '#ffff99'),c10()];
return c16(commands,113,121);
}

function create_s2() {
var commands = [c6(c28('#000000')),c8(shape0),c11(),c22(1, SOLID, '#000000'),c10()];
return c16(commands,65,71);
}

function create_s3() {
var commands = [c6(c28('#ffff00')),c8(shape2),c11(),c22(1, SOLID, '#ffff00'),c10()];
return c16(commands,41,41);
}

function create_s4() {
var commands = [c6(c28('#ffff99')),c8(shape6),c11(),c22(1, SOLID, '#ffff99'),c10()];
return c16(commands,91,100);
}

function create_s5() {
var commands = [c6(c28('#000000')),c8(shape5),c11(),c22(1, SOLID, '#000000'),c10()];
return c16(commands,88,85);
}

function create_s6() {
var commands = [c6(c28('#000000')),c8(shape6),c11(),c22(1, SOLID, '#000000'),c10()];
return c16(commands,91,100);
}


function buildGraphic() {

	createImages();

	createShapes();
var s0 = create_s0();
rememberSymbol(s0);
var s1 = create_s1();
rememberSymbol(s1);
var s2 = create_s2();
rememberSymbol(s2);
var s3 = create_s3();
rememberSymbol(s3);
var s4 = create_s4();
rememberSymbol(s4);
var s5 = create_s5();
rememberSymbol(s5);
var s6 = create_s6();
rememberSymbol(s6);

var commands = [c6(c28('#000000')),c8(shape3),c11(),c17(new Rectangle(391, 499, 41, 41), [c23(391, 499, s3)]),c17(new Rectangle(175, 1209, 41, 41), [c23(175, 1209, s3)]),c17(new Rectangle(395, 482, 41, 41), [c23(395, 482, s3)]),c17(new Rectangle(401, 458, 41, 41), [c23(401, 458, s3)]),c17(new Rectangle(415, 414, 41, 41), [c23(415, 414, s3)]),c17(new Rectangle(418, 394, 41, 41), [c23(418, 394, s3)]),c17(new Rectangle(422, 377, 41, 41), [c23(422, 377, s3)]),c17(new Rectangle(425, 363, 41, 41), [c23(425, 363, s3)]),c17(new Rectangle(429, 350, 41, 41), [c23(429, 350, s3)]),c17(new Rectangle(432, 329, 41, 41), [c23(432, 329, s3)]),c17(new Rectangle(435, 316, 41, 41), [c23(435, 316, s3)]),c17(new Rectangle(442, 299, 41, 41), [c23(442, 299, s3)]),c17(new Rectangle(449, 282, 41, 41), [c23(449, 282, s3)]),c17(new Rectangle(452, 258, 41, 41), [c23(452, 258, s3)]),c17(new Rectangle(456, 241, 41, 41), [c23(456, 241, s3)]),c17(new Rectangle(462, 224, 41, 41), [c23(462, 224, s3)]),c17(new Rectangle(408, 434, 41, 41), [c23(408, 434, s3)]),c17(new Rectangle(215, 1071, 41, 41), [c23(215, 1071, s3)]),c17(new Rectangle(239, 1006, 41, 41), [c23(239, 1006, s3)]),c17(new Rectangle(263, 912, 41, 41), [c23(263, 912, s3)]),c17(new Rectangle(290, 827, 41, 41), [c23(290, 827, s3)]),c17(new Rectangle(313, 766, 41, 41), [c23(313, 766, s3)]),c17(new Rectangle(334, 688, 41, 41), [c23(334, 688, s3)]),c17(new Rectangle(351, 641, 41, 41), [c23(351, 641, s3)]),c17(new Rectangle(368, 587, 41, 41), [c23(368, 587, s3)]),c17(new Rectangle(357, 604, 41, 41), [c23(357, 604, s3)]),c17(new Rectangle(354, 624, 41, 41), [c23(354, 624, s3)]),c17(new Rectangle(371, 563, 41, 41), [c23(371, 563, s3)]),c17(new Rectangle(374, 549, 41, 41), [c23(374, 549, s3)]),c17(new Rectangle(341, 658, 41, 41), [c23(341, 658, s3)]),c17(new Rectangle(324, 715, 41, 41), [c23(324, 715, s3)]),c17(new Rectangle(317, 736, 41, 41), [c23(317, 736, s3)]),c17(new Rectangle(337, 668, 41, 41), [c23(337, 668, s3)]),c17(new Rectangle(381, 522, 41, 41), [c23(381, 522, s3)]),c17(new Rectangle(303, 793, 41, 41), [c23(303, 793, s3)]),c17(new Rectangle(297, 813, 41, 41), [c23(297, 813, s3)]),c17(new Rectangle(313, 763, 41, 41), [c23(313, 763, s3)]),c17(new Rectangle(280, 854, 41, 41), [c23(280, 854, s3)]),c17(new Rectangle(276, 871, 41, 41), [c23(276, 871, s3)]),c17(new Rectangle(273, 888, 41, 41), [c23(273, 888, s3)]),c17(new Rectangle(256, 935, 41, 41), [c23(256, 935, s3)]),c17(new Rectangle(249, 952, 41, 41), [c23(249, 952, s3)]),c17(new Rectangle(246, 969, 41, 41), [c23(246, 969, s3)]),c17(new Rectangle(239, 1003, 41, 41), [c23(239, 1003, s3)]),c17(new Rectangle(242, 983, 41, 41), [c23(242, 983, s3)]),c17(new Rectangle(229, 1023, 41, 41), [c23(229, 1023, s3)]),c17(new Rectangle(219, 1050, 41, 41), [c23(219, 1050, s3)]),c17(new Rectangle(209, 1091, 41, 41), [c23(209, 1091, s3)]),c17(new Rectangle(181, 1169, 41, 41), [c23(181, 1169, s3)]),c17(new Rectangle(185, 1145, 41, 41), [c23(185, 1145, s3)]),c17(new Rectangle(195, 1115, 41, 41), [c23(195, 1115, s3)]),c17(new Rectangle(175, 1192, 41, 41), [c23(175, 1192, s3)]),c17(new Rectangle(192, 1135, 41, 41), [c23(192, 1135, s3)]),c17(new Rectangle(429, 739, 41, 41), [c23(429, 739, s3)]),c17(new Rectangle(449, 675, 41, 41), [c23(449, 675, s3)]),c17(new Rectangle(466, 617, 41, 41), [c23(466, 617, s3)]),c17(new Rectangle(486, 546, 41, 41), [c23(486, 546, s3)]),c17(new Rectangle(510, 444, 41, 41), [c23(510, 444, s3)]),c17(new Rectangle(533, 363, 41, 41), [c23(533, 363, s3)]),c17(new Rectangle(547, 312, 41, 41), [c23(547, 312, s3)]),c17(new Rectangle(561, 252, 41, 41), [c23(561, 252, s3)]),c17(new Rectangle(574, 204, 41, 41), [c23(574, 204, s3)]),c17(new Rectangle(499, 499, 41, 41), [c23(499, 499, s3)]),c17(new Rectangle(435, 722, 41, 41), [c23(435, 722, s3)]),c17(new Rectangle(442, 698, 41, 41), [c23(442, 698, s3)]),c17(new Rectangle(456, 658, 41, 41), [c23(456, 658, s3)]),c17(new Rectangle(459, 641, 41, 41), [c23(459, 641, s3)]),c17(new Rectangle(469, 604, 41, 41), [c23(469, 604, s3)]),c17(new Rectangle(473, 583, 41, 41), [c23(473, 583, s3)]),c17(new Rectangle(479, 563, 41, 41), [c23(479, 563, s3)]),c17(new Rectangle(489, 529, 41, 41), [c23(489, 529, s3)]),c17(new Rectangle(500, 478, 41, 41), [c23(500, 478, s3)]),c17(new Rectangle(513, 424, 41, 41), [c23(513, 424, s3)]),c17(new Rectangle(517, 404, 41, 41), [c23(517, 404, s3)]),c17(new Rectangle(523, 384, 41, 41), [c23(523, 384, s3)]),c17(new Rectangle(506, 465, 41, 41), [c23(506, 465, s3)]),c17(new Rectangle(489, 509, 41, 41), [c23(489, 509, s3)]),c17(new Rectangle(537, 340, 41, 41), [c23(537, 340, s3)]),c17(new Rectangle(550, 292, 41, 41), [c23(550, 292, s3)]),c17(new Rectangle(557, 275, 41, 41), [c23(557, 275, s3)]),c17(new Rectangle(564, 231, 41, 41), [c23(564, 231, s3)]),c17(new Rectangle(435, 143, 41, 41), [c23(435, 143, s3)]),c17(new Rectangle(449, 140, 41, 41), [c23(449, 140, s3)]),c17(new Rectangle(462, 140, 41, 41), [c23(462, 140, s3)]),c17(new Rectangle(476, 140, 41, 41), [c23(476, 140, s3)]),c17(new Rectangle(479, 150, 41, 41), [c23(479, 150, s3)]),c17(new Rectangle(479, 167, 41, 41), [c23(479, 167, s3)]),c17(new Rectangle(473, 191, 41, 41), [c23(473, 191, s3)]),c17(new Rectangle(466, 211, 41, 41), [c23(466, 211, s3)]),c17(new Rectangle(422, 140, 41, 41), [c23(422, 140, s3)]),c17(new Rectangle(401, 126, 41, 41), [c23(401, 126, s3)]),c17(new Rectangle(354, 106, 41, 41), [c23(354, 106, s3)]),c17(new Rectangle(341, 99, 41, 41), [c23(341, 99, s3)]),c17(new Rectangle(317, 103, 41, 41), [c23(317, 103, s3)]),c17(new Rectangle(378, 116, 41, 41), [c23(378, 116, s3)]),c17(new Rectangle(330, 99, 41, 41), [c23(330, 99, s3)]),c17(new Rectangle(435, 143, 41, 41), [c23(435, 143, s3)]),c17(new Rectangle(263, 116, 41, 41), [c23(263, 116, s3)]),c17(new Rectangle(276, 109, 41, 41), [c23(276, 109, s3)]),c17(new Rectangle(293, 106, 41, 41), [c23(293, 106, s3)]),c17(new Rectangle(236, 123, 41, 41), [c23(236, 123, s3)]),c17(new Rectangle(222, 130, 41, 41), [c23(222, 130, s3)]),c17(new Rectangle(205, 130, 41, 41), [c23(205, 130, s3)]),c17(new Rectangle(192, 133, 41, 41), [c23(192, 133, s3)]),c17(new Rectangle(158, 136, 41, 41), [c23(158, 136, s3)]),c17(new Rectangle(134, 136, 41, 41), [c23(134, 136, s3)]),c17(new Rectangle(117, 136, 41, 41), [c23(117, 136, s3)]),c17(new Rectangle(107, 136, 41, 41), [c23(107, 136, s3)]),c17(new Rectangle(90, 136, 41, 41), [c23(90, 136, s3)]),c17(new Rectangle(77, 126, 41, 41), [c23(77, 126, s3)]),c17(new Rectangle(70, 113, 41, 41), [c23(70, 113, s3)]),c17(new Rectangle(80, 99, 41, 41), [c23(80, 99, s3)]),c17(new Rectangle(93, 92, 41, 41), [c23(93, 92, s3)]),c17(new Rectangle(117, 82, 41, 41), [c23(117, 82, s3)]),c17(new Rectangle(134, 82, 41, 41), [c23(134, 82, s3)]),c17(new Rectangle(148, 82, 41, 41), [c23(148, 82, s3)]),c17(new Rectangle(205, 69, 41, 41), [c23(205, 69, s3)]),c17(new Rectangle(232, 62, 41, 41), [c23(232, 62, s3)]),c17(new Rectangle(253, 52, 41, 41), [c23(253, 52, s3)]),c17(new Rectangle(273, 42, 41, 41), [c23(273, 42, s3)]),c17(new Rectangle(303, 38, 41, 41), [c23(303, 38, s3)]),c17(new Rectangle(290, 45, 41, 41), [c23(290, 45, s3)]),c17(new Rectangle(327, 45, 41, 41), [c23(327, 45, s3)]),c17(new Rectangle(347, 45, 41, 41), [c23(347, 45, s3)]),c17(new Rectangle(374, 55, 41, 41), [c23(374, 55, s3)]),c17(new Rectangle(395, 65, 41, 41), [c23(395, 65, s3)]),c17(new Rectangle(412, 72, 41, 41), [c23(412, 72, s3)]),c17(new Rectangle(429, 82, 41, 41), [c23(429, 82, s3)]),c17(new Rectangle(442, 82, 41, 41), [c23(442, 82, s3)]),c17(new Rectangle(459, 82, 41, 41), [c23(459, 82, s3)]),c17(new Rectangle(486, 82, 41, 41), [c23(486, 82, s3)]),c17(new Rectangle(503, 82, 41, 41), [c23(503, 82, s3)]),c17(new Rectangle(523, 89, 41, 41), [c23(523, 89, s3)]),c17(new Rectangle(550, 103, 41, 41), [c23(550, 103, s3)]),c17(new Rectangle(564, 113, 41, 41), [c23(564, 113, s3)]),c17(new Rectangle(574, 136, 41, 41), [c23(574, 136, s3)]),c17(new Rectangle(581, 153, 41, 41), [c23(581, 153, s3)]),c17(new Rectangle(581, 174, 41, 41), [c23(581, 174, s3)]),c17(new Rectangle(313, 1206, 41, 41), [c23(313, 1206, s3)]),c17(new Rectangle(317, 1226, 41, 41), [c23(317, 1226, s3)]),c17(new Rectangle(317, 1233, 41, 41), [c23(317, 1233, s3)]),c17(new Rectangle(327, 1243, 41, 41), [c23(327, 1243, s3)]),c17(new Rectangle(341, 1253, 41, 41), [c23(341, 1253, s3)]),c17(new Rectangle(364, 1253, 41, 41), [c23(364, 1253, s3)]),c17(new Rectangle(388, 1243, 41, 41), [c23(388, 1243, s3)]),c17(new Rectangle(398, 1230, 41, 41), [c23(398, 1230, s3)]),c17(new Rectangle(401, 1220, 41, 41), [c23(401, 1220, s3)]),c17(new Rectangle(405, 1192, 41, 41), [c23(405, 1192, s3)]),c17(new Rectangle(412, 1169, 41, 41), [c23(412, 1169, s3)]),c17(new Rectangle(412, 1155, 41, 41), [c23(412, 1155, s3)]),c17(new Rectangle(415, 1132, 41, 41), [c23(415, 1132, s3)]),c17(new Rectangle(415, 1108, 41, 41), [c23(415, 1108, s3)]),c17(new Rectangle(415, 1091, 41, 41), [c23(415, 1091, s3)]),c17(new Rectangle(418, 1071, 41, 41), [c23(418, 1071, s3)]),c17(new Rectangle(425, 1037, 41, 41), [c23(425, 1037, s3)]),c17(new Rectangle(425, 1023, 41, 41), [c23(425, 1023, s3)]),c17(new Rectangle(429, 1010, 41, 41), [c23(429, 1010, s3)]),c17(new Rectangle(422, 1054, 41, 41), [c23(422, 1054, s3)]),c17(new Rectangle(449, 962, 41, 41), [c23(449, 962, s3)]),c17(new Rectangle(442, 979, 41, 41), [c23(442, 979, s3)]),c17(new Rectangle(432, 996, 41, 41), [c23(432, 996, s3)]),c17(new Rectangle(452, 939, 41, 41), [c23(452, 939, s3)]),c17(new Rectangle(462, 925, 41, 41), [c23(462, 925, s3)]),c17(new Rectangle(473, 908, 41, 41), [c23(473, 908, s3)]),c17(new Rectangle(483, 888, 41, 41), [c23(483, 888, s3)]),c17(new Rectangle(510, 840, 41, 41), [c23(510, 840, s3)]),c17(new Rectangle(520, 820, 41, 41), [c23(520, 820, s3)]),c17(new Rectangle(500, 857, 41, 41), [c23(500, 857, s3)]),c17(new Rectangle(489, 874, 41, 41), [c23(489, 874, s3)]),c17(new Rectangle(547, 752, 41, 41), [c23(547, 752, s3)]),c17(new Rectangle(557, 725, 41, 41), [c23(557, 725, s3)]),c17(new Rectangle(561, 705, 41, 41), [c23(561, 705, s3)]),c17(new Rectangle(567, 685, 41, 41), [c23(567, 685, s3)]),c17(new Rectangle(567, 664, 41, 41), [c23(567, 664, s3)]),c17(new Rectangle(567, 631, 41, 41), [c23(567, 631, s3)]),c17(new Rectangle(567, 654, 41, 41), [c23(567, 654, s3)]),c17(new Rectangle(530, 800, 41, 41), [c23(530, 800, s3)]),c17(new Rectangle(537, 780, 41, 41), [c23(537, 780, s3)]),c17(new Rectangle(825, 861, 41, 41), [c23(825, 861, s3)]),c17(new Rectangle(791, 874, 41, 41), [c23(791, 874, s3)]),c17(new Rectangle(808, 871, 41, 41), [c23(808, 871, s3)]),c17(new Rectangle(750, 898, 41, 41), [c23(750, 898, s3)]),c17(new Rectangle(767, 891, 41, 41), [c23(767, 891, s3)]),c17(new Rectangle(703, 925, 41, 41), [c23(703, 925, s3)]),c17(new Rectangle(716, 915, 41, 41), [c23(716, 915, s3)]),c17(new Rectangle(726, 912, 41, 41), [c23(726, 912, s3)]),c17(new Rectangle(669, 952, 41, 41), [c23(669, 952, s3)]),c17(new Rectangle(682, 942, 41, 41), [c23(682, 942, s3)]),c17(new Rectangle(652, 966, 41, 41), [c23(652, 966, s3)]),c17(new Rectangle(645, 976, 41, 41), [c23(645, 976, s3)]),c17(new Rectangle(618, 1003, 41, 41), [c23(618, 1003, s3)]),c17(new Rectangle(540, 1257, 41, 41), [c23(540, 1257, s3)]),c17(new Rectangle(544, 1236, 41, 41), [c23(544, 1236, s3)]),c17(new Rectangle(547, 1209, 41, 41), [c23(547, 1209, s3)]),c17(new Rectangle(554, 1192, 41, 41), [c23(554, 1192, s3)]),c17(new Rectangle(557, 1176, 41, 41), [c23(557, 1176, s3)]),c17(new Rectangle(557, 1165, 41, 41), [c23(557, 1165, s3)]),c17(new Rectangle(557, 1145, 41, 41), [c23(557, 1145, s3)]),c17(new Rectangle(564, 1132, 41, 41), [c23(564, 1132, s3)]),c17(new Rectangle(567, 1111, 41, 41), [c23(567, 1111, s3)]),c17(new Rectangle(577, 1094, 41, 41), [c23(577, 1094, s3)]),c17(new Rectangle(588, 1057, 41, 41), [c23(588, 1057, s3)]),c17(new Rectangle(601, 1040, 41, 41), [c23(601, 1040, s3)]),c17(new Rectangle(611, 1020, 41, 41), [c23(611, 1020, s3)]),c17(new Rectangle(632, 989, 41, 41), [c23(632, 989, s3)]),c17(new Rectangle(577, 1081, 41, 41), [c23(577, 1081, s3)]),c17(new Rectangle(533, 1284, 41, 41), [c23(533, 1284, s3)]),c17(new Rectangle(523, 1304, 41, 41), [c23(523, 1304, s3)]),c17(new Rectangle(496, 1358, 41, 41), [c23(496, 1358, s3)]),c17(new Rectangle(506, 1341, 41, 41), [c23(506, 1341, s3)]),c17(new Rectangle(513, 1324, 41, 41), [c23(513, 1324, s3)]),c17(new Rectangle(456, 1402, 41, 41), [c23(456, 1402, s3)]),c17(new Rectangle(469, 1389, 41, 41), [c23(469, 1389, s3)]),c17(new Rectangle(483, 1375, 41, 41), [c23(483, 1375, s3)]),c17(new Rectangle(435, 1423, 41, 41), [c23(435, 1423, s3)]),c17(new Rectangle(385, 1436, 41, 41), [c23(385, 1436, s3)]),c17(new Rectangle(408, 1436, 41, 41), [c23(408, 1436, s3)]),c17(new Rectangle(344, 1440, 41, 41), [c23(344, 1440, s3)]),c17(new Rectangle(334, 1440, 41, 41), [c23(334, 1440, s3)]),c17(new Rectangle(351, 1440, 41, 41), [c23(351, 1440, s3)]),c17(new Rectangle(374, 1440, 41, 41), [c23(374, 1440, s3)]),c17(new Rectangle(300, 1429, 41, 41), [c23(300, 1429, s3)]),c17(new Rectangle(310, 1429, 41, 41), [c23(310, 1429, s3)]),c17(new Rectangle(259, 1409, 41, 41), [c23(259, 1409, s3)]),c17(new Rectangle(242, 1402, 41, 41), [c23(242, 1402, s3)]),c17(new Rectangle(273, 1419, 41, 41), [c23(273, 1419, s3)]),c17(new Rectangle(215, 1375, 41, 41), [c23(215, 1375, s3)]),c17(new Rectangle(202, 1362, 41, 41), [c23(202, 1362, s3)]),c17(new Rectangle(192, 1341, 41, 41), [c23(192, 1341, s3)]),c17(new Rectangle(185, 1328, 41, 41), [c23(185, 1328, s3)]),c17(new Rectangle(178, 1308, 41, 41), [c23(178, 1308, s3)]),c17(new Rectangle(168, 1280, 41, 41), [c23(168, 1280, s3)]),c17(new Rectangle(168, 1270, 41, 41), [c23(168, 1270, s3)]),c17(new Rectangle(168, 1257, 41, 41), [c23(168, 1257, s3)]),c17(new Rectangle(168, 1240, 41, 41), [c23(168, 1240, s3)]),c17(new Rectangle(168, 1233, 41, 41), [c23(168, 1233, s3)]),c17(new Rectangle(229, 1389, 41, 41), [c23(229, 1389, s3)]),c17(new Rectangle(852, 817, 41, 41), [c23(852, 817, s3)]),c17(new Rectangle(875, 813, 41, 41), [c23(875, 813, s3)]),c17(new Rectangle(892, 800, 41, 41), [c23(892, 800, s3)]),c17(new Rectangle(889, 780, 41, 41), [c23(889, 780, s3)]),c17(new Rectangle(885, 752, 41, 41), [c23(885, 752, s3)]),c17(new Rectangle(865, 712, 41, 41), [c23(865, 712, s3)]),c17(new Rectangle(872, 725, 41, 41), [c23(872, 725, s3)]),c17(new Rectangle(845, 685, 41, 41), [c23(845, 685, s3)]),c17(new Rectangle(835, 675, 41, 41), [c23(835, 675, s3)]),c17(new Rectangle(818, 658, 41, 41), [c23(818, 658, s3)]),c17(new Rectangle(804, 644, 41, 41), [c23(804, 644, s3)]),c17(new Rectangle(787, 627, 41, 41), [c23(787, 627, s3)]),c17(new Rectangle(774, 617, 41, 41), [c23(774, 617, s3)]),c17(new Rectangle(760, 604, 41, 41), [c23(760, 604, s3)]),c17(new Rectangle(750, 597, 41, 41), [c23(750, 597, s3)]),c17(new Rectangle(858, 702, 41, 41), [c23(858, 702, s3)]),c17(new Rectangle(709, 570, 41, 41), [c23(709, 570, s3)]),c17(new Rectangle(726, 583, 41, 41), [c23(726, 583, s3)]),c17(new Rectangle(676, 560, 41, 41), [c23(676, 560, s3)]),c17(new Rectangle(659, 549, 41, 41), [c23(659, 549, s3)]),c17(new Rectangle(638, 549, 41, 41), [c23(638, 549, s3)]),c17(new Rectangle(608, 560, 41, 41), [c23(608, 560, s3)]),c17(new Rectangle(608, 576, 41, 41), [c23(608, 576, s3)]),c17(new Rectangle(608, 590, 41, 41), [c23(608, 590, s3)]),c17(new Rectangle(611, 604, 41, 41), [c23(611, 604, s3)]),c17(new Rectangle(621, 553, 41, 41), [c23(621, 553, s3)]),c17(new Rectangle(693, 566, 41, 41), [c23(693, 566, s3)]),c17(new Rectangle(618, 627, 41, 41), [c23(618, 627, s3)]),c17(new Rectangle(632, 644, 41, 41), [c23(632, 644, s3)]),c17(new Rectangle(635, 658, 41, 41), [c23(635, 658, s3)]),c17(new Rectangle(645, 671, 41, 41), [c23(645, 671, s3)]),c17(new Rectangle(655, 681, 41, 41), [c23(655, 681, s3)]),c17(new Rectangle(669, 705, 41, 41), [c23(669, 705, s3)]),c17(new Rectangle(686, 719, 41, 41), [c23(686, 719, s3)]),c17(new Rectangle(696, 725, 41, 41), [c23(696, 725, s3)]),c17(new Rectangle(699, 732, 41, 41), [c23(699, 732, s3)]),c17(new Rectangle(733, 763, 41, 41), [c23(733, 763, s3)]),c17(new Rectangle(720, 749, 41, 41), [c23(720, 749, s3)]),c17(new Rectangle(784, 793, 41, 41), [c23(784, 793, s3)]),c17(new Rectangle(770, 783, 41, 41), [c23(770, 783, s3)]),c17(new Rectangle(753, 776, 41, 41), [c23(753, 776, s3)]),c17(new Rectangle(797, 796, 41, 41), [c23(797, 796, s3)]),c17(new Rectangle(818, 807, 41, 41), [c23(818, 807, s3)]),c17(new Rectangle(831, 810, 41, 41), [c23(831, 810, s3)]),c17(new Rectangle(371, 784, 91, 100), [c23(371, 784, s4)]),c17(new Rectangle(317, 902, 113, 121), [c23(317, 902, s1)]),c17(new Rectangle(265, 1036, 132, 142), [c23(265, 1036, s0)]),c17(new Rectangle(284, 1054, 91, 100), [c23(284, 1054, s6)]),c17(new Rectangle(330, 921, 88, 85), [c23(330, 921, s5)]),c17(new Rectangle(384, 800, 65, 71), [c23(384, 800, s2)]),c17(new Rectangle(773, 1084, 574, 489), [c6(c28('#ffff99')),c12('Amienne', false, true, 493),c29('ARIS', 773, 1430)]),c17(new Rectangle(175, 137, 41, 41), [c23(175, 137, s3)]),c17(new Rectangle(179, 69, 41, 41), [c23(179, 69, s3)]),c17(new Rectangle(158, 73, 41, 41), [c23(158, 73, s3)]),c17(new Rectangle(577, 189, 41, 41), [c23(577, 189, s3)]),c17(new Rectangle(571, 218, 41, 41), [c23(571, 218, s3)])];
	return new AWebGraphic(commands, 0, 0, 1347, 1573, 0.2954);
}
function Point(x,y) {
    this.x = x;
    this.y = y;
}

function Dimension(width, height) {
    this.width = width;
    this.height = height;
}

function Rectangle(x, y, width, height) {
    this.x = x;
    this.y = y;
    this.width = width;
    this.height = height;
}

function ModelDataVersion(major, minor, revision) {
    this.major = major;
    this.minor = minor;
    this.revision = revision;
}

Rectangle.prototype = {
    containsPoint: function (p) {
        var w = this.width;
        var h = this.height;
        var x = this.x;
        var y = this.y;
        if (p.x < x || p.y < y) {
            return false;
        }

        w += x;
        h += y;
        return ((w < x || w > p.x) && (h < y || h > p.y));
    },

    intersects: function (r) {
        var tw = this.width;
        var th = this.height;
        var rw = r.width;
        var rh = r.height;
        if (rw <= 0 || rh <= 0 || tw <= 0 || th <= 0) {
            return false;
        }
        var tx = this.x;
        var ty = this.y;
        var rx = r.x;
        var ry = r.y;
        rw += rx;
        rh += ry;
        tw += tx;
        th += ty;
        //      overflow || intersect
        return ((rw < rx || rw > tx) &&
                (rh < ry || rh > ty) &&
                (tw < tx || tw > rx) &&
                (th < ty || th > ry));
    },

    containsRectangle: function (rect) {
        // code stolen from JDK
        var X = rect.x;
        var Y = rect.y;
        var W = rect.width;
        var H = rect.height;
        var w = this.width;
        var h = this.height;
        if ((w | h | W | H) < 0) {
            // At least one of the dimensions is negative...
            return false;
        }
        // Note: if any dimension is zero, tests below must return false...
        var x = this.x;
        var y = this.y;
        if (X < x || Y < y) {
            return false;
        }
        w += x;
        W += X;
        if (W <= X) {
            // X+W overflowed or W was zero, return false if...
            // either original w or W was zero or
            // x+w did not overflow or
            // the overflowed x+w is smaller than the overflowed X+W
            if (w >= x || W > w) return false;
        } else {
            // X+W did not overflow and W was not zero, return false if...
            // original w was zero or
            // x+w did not overflow and x+w is smaller than X+W
            if (w >= x && W > w) return false;
        }
        h += y;
        H += Y;
        if (H <= Y) {
            if (h >= y || H > h) return false;
        } else {
            if (h >= y && H > h) return false;
        }
        return true;
    }
};

var ALL_SHAPES = new Array();
var ALL_SYMBOLS = new Array();
var ALL_IMAGES = new Array();

function createImageFromBase64(data) {
    var image = createImage();
    image.loaded = false;
    image.onload = function() { image.loaded = true; } ;
    var url = 'data:image/png;base64,' + data;
	try {
		image.src = url;
	} catch(e) {
		// do nothing ...
	}
    image.url = url;
    ALL_IMAGES.push(image);
    return image;
}

function AImage(){
}

function createImage(){
    return false ? new AImage() : new Image();
}

function rememberShape(shapeName, shape)  {
    shape.name = shapeName;
    ALL_SHAPES.push(shape);
}

function rememberSymbol(symbol)  {
    ALL_SYMBOLS.push(symbol);
}

function getModelDataVersion() {
    return new ModelDataVersion(1, 0, 0);
}